# Class DelegatingCharacterData

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode
uk.ac.starlink.votable.dom.DelegatingCharacterData

All Implemented Interfaces:
  `CharacterData, Node`

Direct Known Subclasses:
  `DelegatingComment, DelegatingText`

public class DelegatingCharacterData extends DelegatingNode implements CharacterData

## Field Summary

### Fields inherited from interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingCharacterData(CharacterData base, DelegatingDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendData(String arg)`
`void`
`deleteData(int offset, int count)`
`String`
`getData()`
`int`
`getLength()`
`void`
`insertData(int offset, String arg)`
`void`
`replaceData(int offset, int count, String arg)`
`void`
`setData(String data)`
`String`
`substringData(int offset, int count)`

### Methods inherited from class DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DelegatingCharacterData

protected DelegatingCharacterData(CharacterData base, DelegatingDocument doc)

## Method Details

### getData

public String getData()

Specified by:
  `getData` in interface `CharacterData`

### setData

public void setData(String data)

Specified by:
  `setData` in interface `CharacterData`

### getLength

public int getLength()

Specified by:
  `getLength` in interface `CharacterData`

### substringData

public String substringData(int offset, int count)

Specified by:
  `substringData` in interface `CharacterData`

### appendData

public void appendData(String arg)

Specified by:
  `appendData` in interface `CharacterData`

### insertData

public void insertData(int offset, String arg)

Specified by:
  `insertData` in interface `CharacterData`

### deleteData

public void deleteData(int offset, int count)

Specified by:
  `deleteData` in interface `CharacterData`

### replaceData

public void replaceData(int offset, int count, String arg)

Specified by:
  `replaceData` in interface `CharacterData`